﻿using DxPackNet;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CamCapture
{
    public partial class Form1 : Form
    {
        IDxCameraCapture camCapture;
        DxDeviceCollection cameras;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //1.获取摄像头设备列表
            cameras = DxFactory.CreateDxCompent<DxDeviceCollection>(DxDeviceCollection.ENVIRONMENT_CAMERAS);
            //2.创建摄像头捕获控件
            camCapture = DxFactory.CreateDxCompent<IDxCameraCapture>(this, panel1);
            //3.给摄像头捕获控件指定设备（摄像头）
            camCapture.Init(cameras[0]);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //4.开始视频
            camCapture.Run();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            //6.释放视频控件
            camCapture.Dispose();
            //7.释放设备列表
            cameras.Dispose();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //5.停止视频
            camCapture.Stop();
        }
    }
}
